import React from 'react';
import { Slides } from '../../components/common';
import { strings } from '../../locales/i18n';

const SLIDE_DATA = [
  {
    text1: strings('welcomeScreen.slideText1a'),
    text2: strings('welcomeScreen.slideText1b'),
    index: 0
  },
  {
    text1: strings('welcomeScreen.slideText2a'),
    text2: strings('welcomeScreen.slideText2b'),
    index: 1
  },
  {
    text1: strings('welcomeScreen.slideText3a'),
    text2: strings('welcomeScreen.slideText3b'),
    index: 2
  },
  {
    text1: strings('welcomeScreen.slideText4a'),
    text2: strings('welcomeScreen.slideText4b'),
    index: 3
  },
  {
    text1: strings('welcomeScreen.slideText5a'),
    text2: strings('welcomeScreen.slideText5b'),
    index: 4
  }
];

export default class WelcomeScreen extends React.Component {
  static navigationOptions = {
    header: null
  }

  render() {
    return (
      <Slides
        data={SLIDE_DATA}
        onComplete={() => this.props.navigation.navigate('login')}
      />
    );
  }
}
